Mojo::Cookie::Request(3)

NAME
Mojo::Cookie::Request - HTTP request cookie

SYNOPSIS
  use Mojo::Cookie::Request;

  my $cookie = Mojo::Cookie::Request->new;
  $cookie->name('foo');
  $cookie->value('bar');
  say "$cookie";

DESCRIPTION
Mojo::Cookie::Request is a container for HTTP request cookies, based on RFC 6265 <https://tools.ietf.org/html/rfc6265>.

ATTRIBUTES
Mojo::Cookie::Request inherits all attributes from Mojo::Cookie.

METHODS
Mojo::Cookie::Request inherits all methods from Mojo::Cookie and implements the following new ones.

  parse
  my $cookies = Mojo::Cookie::Request->parse('f=b; g=a');

Parse cookies.

  to_string
  my $str = $cookie->to_string;

Render cookie.

SEE ALSO
Mojolicious, Mojolicious::Guides, <https://mojolicious.org>.